# $Revision: 1.40 $, $Date: 2011/12/26 12:43:21 $
Summary:	TermIt - terminal emulator based on the vte library, extensible via Lua
Summary(hu.UTF-8):	TermIt - vte könyvtáron alapuló terminál emulátor, Lua nyelven keresztül bővíthető
Summary(pl.UTF-8):	TermIt - emulator terminala oparty na bibliotece vte, rozszerzalny przez Lua
Name:		termit
Version:	2.9.3
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://github.com/downloads/nonstop/termit/%{name}-%{version}.tar.bz2
# Source0-md5:	fee0c7c1819693af2b246bd290b4fb69
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		gdkkeysyms-compat.patch
URL:		http://wiki.github.com/nonstop/termit/
BuildRequires:	cmake >= 2.6.1
BuildRequires:	gettext-devel
BuildRequires:	gtk+3-devel
BuildRequires:	lua51-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	vte-devel >= 0.17.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TermIt - simple terminal emulator based on vte library. Features:
 - multiple tabs
 - switching encodings
 - sessions
 - configurable keybindings
 - embedded Lua
 - xterm-like dynamic window title

Configuration can be changed via $HOME/.config/termit/init.lua file
(example is provided).

%description -l hu.UTF-8
TermIt - egyszerű, a vte könyvtárra épülő terminál emulátor.
Lehetőségek:
 - több tab
 - kódolás változtatása
 - munkamenetek
 - konfigurálható billentyűkombinációk
 - beépített Lua
 - xterm-szerű dinamikus ablakcím

A konfiguráció megváltoztatható a $HOME/.config/termit/init.lua fájl
megváltoztatásával (példafájl van a csomagban).

%description -l pl.UTF-8
TermIt - prosty emulator terminala oparty na bibliotece vte. Zawiera:
 - obsługę wielu zakładek
 - przełączanie kodowań
 - obsługę sesji
 - konfigurowalne przypisania klawiszy
 - możliwość rozszerzania przez Lua
 - możliwość dynamicznej zmiany tytułu w stylu xterma

Konfiguracja może być zmieniana przez plik
$HOME/.config/termit/init.lua (przykład znajduje się w dokumentacji).

%prep
%setup -q
%patch0 -p1
%{__sed} -i "s@vte>=0.17@vte-2.90>=0.20@g" src/CMakeLists.txt
%{__sed} -i "s@GTK_OBJECT@@g" src/{callbacks,termit_preferences}.c

%build
%cmake .
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog TODO doc/README doc/rc.lua.example doc/lua_api.txt
%dir %{_sysconfdir}/xdg/termit
%{_sysconfdir}/xdg/termit/*.lua
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: termit.spec,v $
Revision 1.40  2011/12/26 12:43:21  uzsolt
- 2.9.3

Revision 1.39  2011/11/08 18:24:49  wiget
- termit-as-needed.patch and termit-language.patch applied upstream

Revision 1.38  2011/11/08 17:05:52  uzsolt
- 2.9.2
- disable patch0 and patch1

Revision 1.37  2011/07/18 12:05:43  uzsolt
- 2.9.1

Revision 1.36  2011/07/03 18:13:50  uzsolt
- 2.9.0
- etc/xdg directory and lua-files

Revision 1.35  2011/05/31 20:39:33  uzsolt
- rel 1 (works for me)

Revision 1.34  2011/05/30 12:34:55  uzsolt
- 2.8.1

Revision 1.33  2011/05/24 08:51:37  uzsolt
- BR gtk+3-devel instead gtk+2-devel

Revision 1.32  2011/05/24 08:48:33  uzsolt
- gdkkeysyms-compat.patch
- remove GTK_OBJECT
- builds, and it seems, it works, need some test to rel 1

Revision 1.31  2011/05/23 14:06:57  uzsolt
- 2.8.0
- use vte-2.90 instead of vte
- does not build (gtk3-conflict imho)
- rel 0.1

Revision 1.30  2011/03/07 07:07:09  uzsolt
- 2.7.1

Revision 1.29  2011/02/07 10:55:55  uzsolt
- rel 1 (works for me well)

Revision 1.28  2011/02/07 10:54:56  uzsolt
- change source0 to official

Revision 1.27  2011/01/28 15:24:48  draenog
- better fix for as-needed issue
- remove duplicated cmake options

Revision 1.26  2011/01/27 22:25:29  draenog
- better way to avoid g++ requirement

Revision 1.25  2011/01/27 21:43:24  sparky
- added cmake hack to avoid suprtfluous g++ requirement

Revision 1.24  2010/12/06 07:46:29  uzsolt
- 2.7.0
- git version (in Release)

Revision 1.23  2010/10/23 10:35:48  uzsolt
- 2.6.0

Revision 1.22  2010/04/21 19:14:08  uzsolt
- 2.5.0

Revision 1.21  2010/03/29 21:46:20  uzsolt
- 2.4.0
- change url
- change doc

Revision 1.20  2009/11/23 22:23:45  sparky
- BR: gettext-devel

Revision 1.19  2009/11/23 20:56:41  uzsolt
- 2.3.0

Revision 1.18  2009/03/16 17:53:19  uzsolt
- up to 2.2.0
- rel 0.1 (need testing)

Revision 1.17  2008/12/13 20:34:18  qboosh
- cleanup, FindLua51 patch obsolete with current cmake

Revision 1.16  2008/12/13 20:25:44  qboosh
- updated pl

Revision 1.15  2008/12/12 16:08:30  uzsolt
- fix missed language code
- update summary (please update pl too)

Revision 1.14  2008/12/12 16:02:43  uzsolt
- hu desc and summary
- update description
- TODO: update pl description

Revision 1.13  2008/12/07 16:02:52  uzsolt
- up to 2.1.1
- patch0 commented out

Revision 1.12  2008/11/07 17:13:01  twittner
- up to 2.1
- I don't know if there is a better solution for current cmake
  for fixing --as-needed issue than reordering gcc options in link.txt file

Revision 1.11  2008/09/12 17:31:15  twittner
- more doc files added

Revision 1.10  2008/09/12 17:13:09  twittner
- up to 1.3.5

Revision 1.9  2008-02-24 20:04:26  twittner
- up to 1.2

Revision 1.8  2008-01-23 20:07:08  twittner
- up to 1.1.2

Revision 1.7  2007-12-27 21:06:28  twittner
- up to 1.1.1 (now uses cmake)

Revision 1.6  2007/09/07 17:38:33  twittner
- up to 1.0.2

Revision 1.5  2007/08/04 16:35:52  qboosh
- BR: pkgconfig (+some versions)
- typo

Revision 1.4  2007/07/16 16:47:43  twittner
- rel. 2

Revision 1.3  2007/07/16 16:44:38  twittner
- typo

Revision 1.2  2007/07/16 16:40:02  twittner
- added icon and desktop files

Revision 1.1  2007/07/16 15:55:05  twittner
- added
